diff --git a/src/backend/utils/cache/lsyscache.c b/src/backend/utils/cache/lsyscache.c
index 1089556..450e48d 100644
--- a/src/backend/utils/cache/lsyscache.c
+++ b/src/backend/utils/cache/lsyscache.c
@@ -850,8 +850,11 @@ get_attgenerated(Oid relid, AttrNumber attnum)
 		return result;
 	}
 	else
+	{
 		elog(ERROR, "cache lookup failed for attribute %d of relation %u",
 			 attnum, relid);
+		return '\0';			/* keep compiler quiet */
+	}
 }
 
 /*
